# $Revision: 1.14 $, $Date: 2008/07/27 22:46:19 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Quantum
%define		pnam	Entanglement
Summary:	Quantum::Entanglement - QM entanglement of variables in Perl
Summary(pl.UTF-8):	Quantum::Entanglement - zawikłanie zmiennych mechaniki kwantowej w Perlu
Name:		perl-Quantum-Entanglement
Version:	0.32
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	40c2bde2fbb794197010007f7ceb059d
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl(Math::Complex)
%endif
BuildRequires:	rpm-perlprov >= 3.0.3-26
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Essentially, this allows you to put variables into a superposition of
states, have them interact with each other (so that all states
interact) and then observe them (testing to see if they satisfy some
comparison operator, printing them) which will collapse the entire
system so that it is consistent with your knowledge.

%description -l pl.UTF-8
Zasadniczo ten moduł pozwala na umieszczanie zmiennych w superpozycji
stanów, pozwalanie im na oddziaływanie na siebie (tak, że wszystkie
stany oddziaływują ze sobą) i obserwowanie ich (sprawdzanie, czy są
zgodne z pewnym operatorem porównania, wypisywanie ich), która załamie
cały system, który jest spójny wedle naszej wiedzy.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Change*
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Quantum-Entanglement.spec,v $
Revision 1.14  2008/07/27 22:46:19  arekm
- release 3

Revision 1.13  2007-02-13 07:47:14  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.11  2004/11/03 22:30:40  paladine
- formatting

Revision 1.10  2004/05/06 18:20:57  ankry
- fixed perl-devel BR

Revision 1.9  2004/04/27 14:28:55  ankry
- license fixed, new bconds, cosmetics

Revision 1.8  2003/09/09 10:24:46  ankry
- spaces -> tab

Revision 1.7  2003/05/28 13:00:59  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/02/25 00:41:45  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:37:50  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/10/13 22:11:24  qboosh
- pl description, release 2

Revision 1.1  2002/09/21 21:01:35  radek
- new, STBR
